Bug 740381 - TPS SRPM Failures on Client Distributions : Missing Build Requirements
Summary: TPS SRPM Failures on Client Distributions : Missing Build Requirements
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Dennis Gregorovic
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 20:09 UTC by Jenny Severance
Modified: 2011-11-14 18:00 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-14 18:00:59 UTC


Attachments (Terms of Use)

Description Jenny Severance 2011-09-21 20:09:43 UTC
Description of problem:

SSSD requires diffstat which does not appear to be included in the RHEL 6.2 Client distributions.

i386:

doRpmCommand: rpmbuild --rebuild --define "dist .el6" --define '_topdir /usr/src/redhat' --target=i686 --rcfile /tmp/tps_rpmrc_zbk3Sx:/usr/lib/rpm/rpmrc:/usr/lib/rpm/redhat/rpmrc /mnt/redhat/brewroot/packages/sssd/1.5.1/52.el6/src/sssd-1.5.1-52.el6.src.rpm doRpmCommand-result (256): 
FAILED to rebuild /mnt/redhat/brewroot/packages/sssd/1.5.1/52.el6/src/sssd-1.5.1-52.el6.src.rpm -- return code 256 
REBUILD: FAIL for sssd-1.5.1-52.el6.src.rpm 
BUILDLOG: sssd-1.5.1-52.el6.src.rpm-i686-rebuild.log contains full details. Reports from make and rpmbuild, with line numbers: 
1:error: Failed build dependencies: 
2- diffstat is needed by sssd-1.5.1-52.el6.i686 
3-Installing /mnt/redhat/brewroot/packages/sssd/1.5.1/52.el6/src/sssd-1.5.1-52.el6.src.rpm 
4-Building target platforms: i686 
5-Building for target i686 Last 20 lines of Build Log: 
error: Failed build dependencies: 
diffstat is needed by sssd-1.5.1-52.el6.i686 
Installing /mnt/redhat/brewroot/packages/sssd/1.5.1/52.el6/src/sssd-1.5.1-52.el6.src.rpm 
Building target platforms: i686 Building for target i686 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Jenny Severance 2011-09-22 13:06:24 UTC
Changing component to releng

Comment 4 Chandrasekar Kannan 2011-11-04 18:50:11 UTC
QE has agreed to waive the relevant TPS failures to move forward on this.
Please close this bug.


Note You need to log in before you can comment on or make changes to this bug.